Bug 1413403 - "Please use the edac_mce_amd module instead" when I'm already using it
Summary: "Please use the edac_mce_amd module instead" when I'm already using it
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mcelog
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Prarit Bhargava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 19:14 UTC by Matthew Cline
Modified: 2017-12-12 10:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:56:02 UTC
Type: Bug


Attachments (Terms of Use)
Output of "cpuid -1" (21.85 KB, text/plain)
2017-01-15 19:14 UTC, Matthew Cline
no flags Details

Description Matthew Cline 2017-01-15 19:14:30 UTC
Created attachment 1241002 [details]
Output of "cpuid -1"

Trying to start mcelog I get this error message:

    Jan 15 11:00:26 localhost mcelog: mcelog: ERROR: AMD Processor family 21: mcelog does not support this processor.  Please use the edac_mce_amd module instead.
    Jan 15 11:00:26 localhost mcelog: CPU is unsupported

However, I'm already using it:

    # lsmod | grep mce
    edac_mce_amd           28672  0

    # lsmod | grep amd
    edac_mce_amd           28672  0
    kvm_amd              2179072  0
    kvm                   581632  1 kvm_amd
    amdkfd                139264  1
    amd_iommu_v2           20480  1 amdkfd

    # modinfo edac_mce_amd
    filename:       /lib/modules/4.9.3-200.fc25.x86_64/kernel/drivers/edac/edac_mce_amd.ko.xz
    license:        GPL
    alias:          edac-mce-amd
    description:    AMD MCE decoder
    depends:    
    intree:         Y
    vermagic:       4.9.3-200.fc25.x86_64 SMP mod_unload
    signat:         PKCS#7
    signer:     
    sig_key:    
    sig_hashalgo:   md4

Attached is the output of "cpuid -1"

Comment 1 Fedora End Of Life 2017-11-16 19:00:32 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:56:02 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.